%define	name	aspell-dicts
%define	version	.12
%define	release	1
%define	serial	2

Summary:	Aspell Alternate Dictionary Package.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Serial:		%{serial}
Copyright:	GPL
Group:		Applications/Text
URL:		http://metalab.unc.edu/kevina/aspell
Vendor:		Kevin Atkinson <kevinatk@home.com>
Source:		%{name}-%{version}.tar.gz
BuildRoot:	/var/tmp/%{name}-%{version}
Requires:	aspell >= .28

Distribution:	Freshmeat RPMs
Packager:	Ryan Weaver <ryanw@infohwy.com>

%description
This package will let you install an alternate english dictionaries.

%package	american
Summary:	Aspell Alternate Dictionary Package (american)
Group:		Applications/Text
Requires:	aspell >= .28

%description	american
An alternate english dictionary (american).

%package	british
Summary:	Aspell Alternate Dictionary Package (british)
Group:		Applications/Text
Requires:	aspell >= .28

%description	british
An alternate english dictionary (british).

%prep
%setup -q

%build
cat `ls -1|egrep '(english|american).(0|1|2|3)$'` | aspell --lang=english create master ./american;
cat `ls -1|egrep '(english|british).(0|1|2|3)$'` | aspell --lang=english create master ./british;

%install
if [ -e $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT/usr/lib/aspell

cp *.sl *.wrd $RPM_BUILD_ROOT/usr/lib/aspell

%post	american
cat <<EOF
To use the extra dict, change the master config in either
/etc/aspell.conf for system-wide change or ~/.aspell.conf for
personal change. Or just use the aspell --master=american commandline.
EOF

%post	british
cat <<EOF
To use the extra dict, change the master config in either
/etc/aspell.conf for system-wide change or ~/.aspell.conf for
personal change. Or just use the aspell --master=british commandline.
EOF

%clean
if [ -e $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi

%files	american
%defattr(-,root,root)
/usr/lib/aspell/american.sl
/usr/lib/aspell/american.wrd

%files	british
%defattr(-,root,root)
/usr/lib/aspell/british.sl
/usr/lib/aspell/british.wrd

%changelog
* Thu Jul 29 1999 Ryan Weaver <ryanw@infohwy.com>
- Initial RPM Built

  [aspell-dicts.12-1]
- changes the "config" file to make it clearer which dictionaries
  should be included

  [aspell-dicts.11-1]
- fixed to work with Aspell .28

  [aspell-dicts.10-1]
- initial release

